/*
 *  hwinfo.h
 *
 *  Created by Marco Bambini on 8/29/08.
 *  Copyright 2005-2011 SQLabs, Inc. All rights reserved.
 *
 */

#include "cubesql_plugin.h"

#ifdef CUBESQL_MAC
#include <sys/types.h>
#include <sys/sysctl.h>
#endif

#ifdef CUBESQL_WINDOWS
#endif

#ifdef CUBESQL_LINUX
#include <sys/types.h>
#include <sys/sysctl.h>

// don't know why but some Linux distros doesn't define some common sysctl identifiers
#ifndef CTL_HW
#define CTL_HW 6
#endif

#ifndef HW_MACHINE
#define HW_MACHINE 1
#endif

#ifndef HW_MODEL
#define HW_MODEL 2
#endif

#endif

int show_hardware_info (cubesql_client *client, const char **args, int commandID);
